Subject: Re: [PATCH v4 05/25] midx: clear auxiliary .rev after replacing the MIDX

From: Junio C Hamano <[email-masked]>
Date: Thu, 26 Aug 2021 23:01:26 -0700

Taylor Blau <[email-masked]> writes:

> On Tue, Aug 24, 2021 at 03:06:55PM -0700, Junio C Hamano wrote:
>> Junio C Hamano <[email-masked]> writes:
>>
>> > FWIW, here is what I have somewhere in 'seen' where two topics meet.
>>
>> Oops, one change missed.
>
> Thanks; that matches my own resolution. I noticed that it does fail the
> new test in t5319, since writing a MIDX wants to make sure that we are
> only touching an alternate's object directory (which will fail if we are
> running `git multi-pack-index` from outside of a repository).
>
> My opinion is that we should require being inside of a repository to run
> the MIDX builtin. Otherwise we're allowing that command to modify any
> old MIDX, which doesn't make sense.
>
> I think we probably need a single unifying topic, so I'm happy if you
> want to discard one of our two topics from seen in the meantime.

It seems that the *.rev test (probably added by the other topic that
is a single patch fix) fails under sha256 hash.  I am not going to
dig it any further myself, but for the interested, CI breakage is
here:

  https://github.com/git/git/runs/3440068613?check_suite_focus=true#step:5:1219

Thanks.